/****************************************************************************/
/**    GNOM - Gnom Is NOt MCuT                                             **/
/**  Copyright (C) 1997 Jochen Sarrazin, DG6VJ. All righs reserved.        **/
/**                                                                        **/
/**  Keyboard-Ansteuerung-Routinen                                         **/
/****************************************************************************/


#ifndef KEYBOARD_H
#define KEYBOARD_H




/* Gibt einen 0-Terminierten String in der aktuellen Zeile der Vorschreibfensters aus. */
void ErrorText(char *str, int ret);

/* Terminal-Kommando-Auswertung */
void TerminalCommand(char *command);

/* Tastatur einstellen */
void InitKeyboard();

void Deinit_Keyboard();

/* AddChar - schreibt dieses Zeichen an die aktuelle Cursorposition im Vorschreibpuffer */
void AddChar(char ch);

/*
 * Auf die Tab-Taste wurde gedrckt
 */
void key_Tab();

void key_CursorRight();

void key_CursorLeft();

void key_Home();

void key_End();

/* Einfge- und berschreib-Mode umschalten */
void key_Insert();

/* Das Zeichen unter dem Cursor lschen */
void key_Delete();

void key_Backspace();

/* Einen weiter scrollen. Die einzelnen Daten werden nicht gendert. */
void ScrollDown_Vorschreib(int ret);

void ScrollUp_Vorschreib();

void key_ChangeChannel(uchar chan);

/* Keyboard-Verwaltung */
int DoKeyboard();



#endif
